## developers-reference 11.0.8

=== debian/changelog ===
developers-reference (11.0.8) unstable; urgency=medium

  [ Philipp Kern ]
  * pkgs: Change the email address of the non-free review team.

  [ Leo Singer ]
  * best-pkging-practices: Small typo fix.

  [ Holger Levsen ]
  * resources: correct misleading text about freezes. Closes: #945906
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Thu, 09 Jan 2020 14:56:00 +0100

developers-reference (11.0.7) unstable; urgency=medium

  * best-pkging-practices: recommend "command -v" instead of "which"
    (Closes: #904246) and simplify paragraph.
  * pkgs: RMs may encourage (not allow) less delayed NMUs.
  * l10n: minor update and language improvements. Closes: #623707
  * tools: deprecate debiandoc-sgml further, mention python3-spinx as an
    alternative.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Fri, 29 Nov 2019 11:33:47 +0100

developers-reference (11.0.6) unstable; urgency=medium

  * pkgs.rst: point out that the tech-ctte prefers fresh bug reports with a
    summary. Closes: #484805.
  * best-pkging-practices.rst: improve paragraph about dummy transitional
    packages. Closes: #703612.
  * Update all .po files for changed strings in the English original.
  * d/control: improve descriptions to include Debian Maintainers as audience
    of the package.
  * README.contributing:
    - drop sentences obsoleted by the fix for #754189.
    - add paragraph about 'Git commit messages and d/changelog entries'.
    - mention debcheckout as a means to get the git source.
    - re-order paragraphs.

 -- Holger Levsen <holger@debian.org>  Thu, 31 Oct 2019 20:13:16 +0100

developers-reference (11.0.5) unstable; urgency=medium

  * developer-duties.rst: add a reminder to retire from teams.
    Closes: #548116. Thanks to Judit Foglszinger for the wording.
  * pkgs.rst: add a note explaining that RMs should be asked before uploading
    to t-p-u. Closes: #541956
  * best-pkging-practices.rst:
    - repacked tarballs may have any directory name inside, but it's best to
      reflect the tarball name. Closes: #470960
    - repacked tarballs are best compressed with xz.
  * l10n.rst: explain to use both 'patch' and 'l10n' tags for l10n bugs.
    Closes: #483235.
  * tools.rst: mention many more packages: adequate, blhc, debian-policy,
    developers-reference, diffoscope, doc-debian, duck, how-can-i-help,
    i18nspector, libconfig-model-dpkg-perl, licensecheck, lintian-brush,
    maint-guide, packaging-tutorial, piuparts, reportbug & suspicious-source.
    Closes: #540248, #750993, #941274.
  * d/developers-reference.png: scale to 64x64 to avoid AppStream hint.
  * README.contributing: describe change handling for src:developers-reference.
    Closes: #754189. Thanks to Lucas Nussbaum.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Thu, 10 Oct 2019 10:45:23 +0200

developers-reference (11.0.4) unstable; urgency=medium

  * pkgs.rst:
    - improve documentation for (old)stable updates. Closes: #931743.
    - suggest to think about the testing suite before uploading.
      Closes: #731666 - Thanks to Peter Green for the wording.
    - clarify to install and test on unstable. Closes: #550283.
    - mention piuparts can be used for tests before uploads.
  * Makefile:
    - add hint what commit msg to use when updating translations.
    - add new target to show the translation status.
  * README.contributing: explain new status target.
  * d/control:
    - drop Lucas Nussbaum from uploaders. Thanks for all your work, Lucas!
    - bump standards version to 4.4.1, no changes needed.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sat, 05 Oct 2019 09:54:32 +0200

=== debian/control ===
Source: developers-reference
Section: doc
Priority: optional
Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
Uploaders: Hideki Yamane <henrich@debian.org>,
 Holger Levsen <holger@debian.org>,
Standards-Version: 4.4.1
Rules-Requires-Root: no
Build-Depends-Indep: latexmk,
 python3-sphinx,
 python3-stemmer,
 texinfo,
 texlive-fonts-recommended,
 texlive-lang-cyrillic,
 texlive-lang-french,
 texlive-lang-german,
 texlive-lang-italian,
 texlive-lang-japanese,
 texlive-latex-extra,
 texlive-latex-recommended
Build-Depends: debhelper-compat (= 12)
Vcs-Git: https://salsa.debian.org/debian/developers-reference.git
Vcs-Browser: https://salsa.debian.org/debian/developers-reference

Package: developers-reference
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: debian-policy, sensible-utils
Suggests: doc-base, firefox-esr | www-browser
Description: guidelines and information for Debian developers
 This package contains the Debian Developer's Reference, a set of
 guidelines and best practices which has been established by and for
 the community of Debian developers and maintainers. If you are not
 maintaining Debian packages, you probably do not need this package.
 .
 Table of Contents:
 .
 ${TOC:en}
 .
 This package contains the English version of the Developer's
 Reference.  The French, German, Italy, Russian and Japanese translations are
 available in developers-reference-fr, developers-reference-de,
 developers-reference-it, developers-reference-ru and developers-reference-ja.

Package: developers-reference-de
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: debian-policy, developers-reference
Suggests: doc-base
Description: guidelines and information for Debian developers, in German
 This package contains the German translation of Debian Developer's
 Reference (package: developers-reference), a set of guidelines and
 best practices which has been established by and for the community of
 Debian developers and maintainers. If you are not maintaining Debian
 packages, you probably do not need this package.
 .
 Table of Contents (in English):
 .
 ${TOC:en}

Package: developers-reference-fr
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: debian-policy, developers-reference
Suggests: doc-base
Description: guidelines and information for Debian developers, in French
 This package contains the French translation of Debian Developer's
 Reference (package: developers-reference), a set of guidelines and
 best practices which has been established by and for the community of
 Debian developers and maintainers. If you are not maintaining Debian
 packages, you probably do not need this package.
 .
 Table of Contents (in English):
 .
 ${TOC:en}

Package: developers-reference-ja
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: debian-policy, developers-reference
Suggests: doc-base
Description: guidelines and information for Debian developers, in Japanese
 This package contains the Japanese translation of Debian Developer's
 Reference (package: developers-reference), a set of guidelines and
 best practices which has been established by and for the community of
 Debian developers and maintainers. If you are not maintaining Debian
 packages, you probably do not need this package.
 .
 Table of Contents (in English):
 .
 ${TOC:en}

Package: developers-reference-ru
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: debian-policy, developers-reference
Suggests: doc-base
Description: guidelines and information for Debian developers, in Russian
 This package contains the Russian translation of Debian Developer's
 Reference (package: developers-reference), a set of guidelines and
 best practices which has been established by and for the community of
 Debian developers and maintainers. If you are not maintaining Debian
 packages, you probably do not need this package.
 .
 Table of Contents (in English):
 .
 ${TOC:en}

Package: developers-reference-it
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: debian-policy, developers-reference
Suggests: doc-base
Description: guidelines and information for Debian developers, in Italian
 This package contains the Italian translation of Debian Developer's
 Reference (package: developers-reference), a set of guidelines and
 best practices which has been established by and for the community of
 Debian developers and maintainers. If you are not maintaining Debian
 packages, you probably do not need this package.
 .
 Table of Contents (in English):
 .
 ${TOC:en}

## developers-reference 11.0.9

=== debian/changelog ===
developers-reference (11.0.9) unstable; urgency=medium

  * pkgs: add a suggestion to comment a "wontfix". Closes: #484804.
  * pkgs: add section explaining uploads to stable-updates. Closes: #896013.
    Thanks to Adam D. Barratt for review and improvements.
  * Update all .po files for changed strings in the English original.
  * d/control: bump standards version to 4.5.0, no changes needed.
  * d/changelog:
    - wrap long lines in changelog entries: 3.2, 2.11, thanks to lintian-brush.
    - fix misspelling of Close => Closes, thanks to lintian-brush.

 -- Holger Levsen <holger@debian.org>  Thu, 20 Feb 2020 02:02:08 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
 Uploaders: Hideki Yamane <henrich@debian.org>,
  Holger Levsen <holger@debian.org>,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Build-Depends-Indep: latexmk,
  python3-sphinx,

## developers-reference 11.0.10

=== Makefile ===
# Build rules for Developers Reference.
#
# This build script works on the bare un-tared upstream tarball, the
# checked-out git repository, and the patch-applied Debian source package
# source tree.

# Basic package information
ifneq ("$(wildcard debian/changelog)","")
# Patch-applied Debian source package source tree
PACKAGE   ?= $(shell dpkg-parsechangelog -SSource)
TIMESTAMP ?= $(shell dpkg-parsechangelog -STimestamp)
DATE      ?= $(shell date -u -d '@$(TIMESTAMP)' +'%Y-%m-%d')
VERSION   ?= $(shell dpkg-parsechangelog -SVersion)
else ifneq ("$(wildcard .git)","")
# Checked-out git repository
PACKAGE   ?= $(basename $(notdir $(shell git config --get remote.origin.url)))
TIMESTAMP ?= $(shell git show -s --format=%ct HEAD)
DATE      ?= $(shell date -u -d '@$(TIMESTAMP)' +'%Y-%m-%d')
VERSION   ?= $(shell git describe --tags)
# Adjust version as needed: debian/% --> %
VERSION   := $(patsubst debian/%, %, $(VERSION))
else
# Un-tared upstream tarball
PACKAGE   ?= $(notdir $(CURDIR))
TIMESTAMP ?= $(shell date +%s)
DATE      ?= $(shell date -u -d '@$(TIMESTAMP)' +'%Y-%m-%d')
VERSION   ?= 0.0~$(subst -,.,$(DATE))
endif

export PACKAGE TIMESTAMP DATE VERSION

# Source file directory
SOURCE_DIR  = source

# Building files under language specific subdirectories of $(BUILD_DIR)
BUILD_DIR   = build

# Match this with conf.py: locale_dir = ["locales"]
LOCALE_DIR = locales

# All languages
LANGS       ?= en $(notdir $(wildcard $(SOURCE_DIR)/$(LOCALE_DIR)/*))
# All languages without PDF building
LANGS_NOPDF = it ru

# All output formats
FORMATS     ?= text pdf nopdf epub info html # singlehtml

# Conversion programs to use.  Export these so that they're visible to
# submakes.
export SPHINX     = sphinx-build
export SPHINXINTL = sphinx-intl

# Installation directories.  Normally this is only used by debian/rules
# build, which will set DESTDIR to put the installation under the temporary
# Debian packaging directory.
prefix      = /usr
datarootdir = $(prefix)/share
datadir     = $(datarootdir)/$(PACKAGE)
infodir     = $(datarootdir)/info

# Order of source file basenames in $(SOURCE_DIR)/index.rst
BASE_ORDER    := $(shell grep -e '^   [^:]' $(SOURCE_DIR)/index.rst)

# Source file basenames found as *.rst
BASE_FILTER   := $(basename $(notdir $(wildcard $(SOURCE_DIR)/*.rst)))

# Ordered source *.rst file basenames to build $(PACKAGE)
BASE_FILES   := $(filter $(BASE_FILTER), $(BASE_ORDER))

SOURCE_FILES := $(foreach f,$(BASE_FILES),				\
		$(SOURCE_DIR)/$(f).rst)		 			\
		$(SOURCE_DIR)/conf.py

PO_FILES     := $(foreach l,$(filter-out en,$(LANGS)),			\
		$(foreach f,$(BASE_FILES),				\
		$(SOURCE_DIR)/$(LOCALE_DIR)/$(l)/LC_MESSAGES/$(f).po))

# General build targets.  These are the ones a human may build from the
# command line, or that are used by the Debian build system.
#
# Checks for PO files are skipped since $(SPHINX) takes care of them.
#

all: $(FORMATS)

# A list of plain text files for all $(LANGS)
TEXT_FILES   := $(foreach l,$(LANGS),					\
		$(BUILD_DIR)/$(l)/text/$(PACKAGE).txt)

text: $(TEXT_FILES)

# Somehow -M doesn't work well, so use -b
$(BUILD_DIR)/%/text/$(PACKAGE).txt: $(SOURCE_FILES)
	rm -f $@
	$(SPHINX) -b text -D language=$* -d $(BUILD_DIR)/$* $(SOURCE_DIR) $(@D)
	# Make $(PACKAGE).txt
	cp $(@D)/index.txt $@
	set -e;								\
	    for f in $(BASE_FILES); do					\
		printf "\n\n\n" >>$@;					\
		cat $(@D)/"$$f".txt >>$@;				\
	    done

# A list of PDF files for all valid languages
PDF_FILES := $(foreach l,$(filter-out $(LANGS_NOPDF),$(LANGS)),		\
		$(BUILD_DIR)/$(l)/pdf/$(PACKAGE).pdf)
pdf: $(PDF_FILES)

# Somehow -M doesn't work well, so use -b
$(BUILD_DIR)/%/pdf/$(PACKAGE).pdf: $(SOURCE_FILES)
	$(SPHINX) -b latex -D language=$* -d $(BUILD_DIR)/$* $(SOURCE_DIR) $(@D)
	$(MAKE) -C $(@D)

# A list of place-holder PDF files for all non-valid languages
NOPDF_FILES  := $(foreach l,$(LANGS_NOPDF),				\
		$(BUILD_DIR)/$(l)/nopdf/$(PACKAGE).pdf)
nopdf: $(NOPDF_FILES)

# Build nopdf place holder PDF files with latexmk
$(BUILD_DIR)/%/nopdf/$(PACKAGE).pdf: nopdf.tex
	mkdir -p $(@D)
	sed -e "s/@lang@/$*/g" nopdf.tex >$(@D)/nopdf.tex
	set -e; cd $(@D); latexmk -pdf -dvi- -ps- $<
	mv $(@D)/nopdf.pdf $(@)

# A list of epub files for all $(LANGS)
EPUB_FILES   := $(foreach l,$(LANGS),					\
		$(BUILD_DIR)/$(l)/epub/$(PACKAGE).epub)
epub: $(EPUB_FILES)

# Somehow -M doesn't work well, so use -b
$(BUILD_DIR)/%/epub/$(PACKAGE).epub: $(SOURCE_FILES)
	$(SPHINX) -b epub -D language=$* -d $(BUILD_DIR)/$* $(SOURCE_DIR) $(@D)

# A list of info files for all $(LANGS)
# Please note, translated info files are installed as $(PACKAGE)-$(l).info:
INFO_FILES   := $(foreach l,$(filter-out en,$(LANGS)),			\
		$(BUILD_DIR)/info/$(PACKAGE)-$(l).info)			\
		$(BUILD_DIR)/info/$(PACKAGE).info

info: $(INFO_FILES)

# Somehow -M doesn't work well, so use -b
$(BUILD_DIR)/%/info/$(PACKAGE).info: $(SOURCE_FILES)
	$(SPHINX) -b texinfo -D language=$* -d $(BUILD_DIR)/$* $(SOURCE_DIR) $(@D)
	$(MAKE) -C $(@D)

$(BUILD_DIR)/info/$(PACKAGE).info: $(BUILD_DIR)/en/info/$(PACKAGE).info
	mkdir -p $(@D)
	cp $< $@

$(BUILD_DIR)/info/$(PACKAGE)-%.info: $(BUILD_DIR)/%/info/$(PACKAGE).info
	mkdir -p $(@D)
	cp $< $@

# A list of index.html files of multi-file HTML for all $(LANGS)
HTMLI_FILES  := $(foreach l,$(LANGS),					\
		$(BUILD_DIR)/$(l)/html/index.html)
html: $(HTMLI_FILES)

# Somehow -M doesn't work well, so use -b
$(BUILD_DIR)/%/html/index.html: $(SOURCE_FILES)
	$(SPHINX) -b html -D language=$* -d $(BUILD_DIR)/$* $(SOURCE_DIR) $(@D)

# A list of all multi-file HTML files for all $(LANGS)
HTMLM_FILES  := $(foreach l,$(LANGS),					\
		$(foreach f,$(BASE_FILES),				\
		$(BUILD_DIR)/$(l)/html/$(f).html))


# A list of multi-file HTML index.html files for all $(LANGS)
HTMLS_FILES  := $(foreach l,$(LANGS),					\
		$(BUILD_DIR)/$(l)/singlehtml/$(PACKAGE).html)

htmls: $(HTMLS_FILES)

# Single HTML doesn't build its own geninde.html nor search.html
# I keep this code inspired by Debian Policy as a place holder
# This is not used due to bugs apear for Single HTML:
#  * https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=873456
#  * https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=876075
#  * https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=879048
$(BUILD_DIR)/%/singlehtml/$(PACKAGE).html: $(SOURCE_FILES)
	$(SPHINX) -b singlehtml -D language=$* -d $(BUILD_DIR)/$* $(SOURCE_DIR) $(@D)
	mv $(@D)/index.html $(@D)/$(PACKAGE).html
	rm -rf $(@D)/.doctrees
	perl -pli -e 's,href="index\.html#,href="#,g' $@
#	perl -pli -e 's,(genindex|search)\.html,$(PACKAGE).html/$$1.html,' $@

#
# Update all PO files for all languages
#
# In the following, export UTF-8 locale variables to avoid gettext errors.
# Don't simply export at the top of this Makefile to avoid affecting
# the generated localized .js files.
#
# Somehow -M doesn't work well, so use -b
update-po: $(SOURCE_FILES)
	# Let's keep POT files next to PO files
	$(SPHINX) -b gettext -d $(BUILD_DIR)/en $(SOURCE_DIR) $(SOURCE_DIR)/$(LOCALE_DIR)
	@set -ex; for l in $(filter-out en,$(LANGS)); do		\
	    LC_ALL=C.UTF-8 LANG=C.UTF-8 $(SPHINXINTL) update		\
		-d $(SOURCE_DIR)/$(LOCALE_DIR)				\
		-p $(SOURCE_DIR)/$(LOCALE_DIR) -l $$l ;			\
	done
	@echo "Please use 'Update all .po files for changed strings in the English original.' as commit message when committing this to GIT."

# Show translation status
status:
	@set -ex; for l in $(filter-out en,$(LANGS)); do		\
		if [ -d $(SOURCE_DIR)/locales/$$l/LC_MESSAGES ] ; then	\
		    find $(SOURCE_DIR)/locales/$$l/LC_MESSAGES -name 	\
			'*.po' -exec msgfmt -vv {} -o /dev/null \; ;	\
		fi ;							\
	done

# Clean source tree
clean distclean:
	rm -rf $(BUILD_DIR)
	rm -f $(SOURCE_DIR)/$(LOCALE_DIR)/*.pot
	rm -f $(SOURCE_DIR)/$(LOCALE_DIR)/*/LC_MESSAGES/*.mo

install: all
	# Install onto DESTDIR='$(DESTDIR)' for en: text pdf nopdf epub html
	mkdir -p $(DESTDIR)$(datadir)
	[ -e $(BUILD_DIR)/en/text/$(PACKAGE).txt ] &&			\
		cp $(BUILD_DIR)/en/text/$(PACKAGE).txt $(DESTDIR)$(datadir) && \
		gzip -f -9  $(DESTDIR)$(datadir)/$(PACKAGE).txt || true
	[ -e $(BUILD_DIR)/en/pdf/$(PACKAGE).pdf ] &&			\
		cp $(BUILD_DIR)/en/pdf/$(PACKAGE).pdf $(DESTDIR)$(datadir) || true
	[ -e $(BUILD_DIR)/en/nopdf/$(PACKAGE).pdf ] &&			\
		cp $(BUILD_DIR)/en/nopdf/$(PACKAGE).pdf $(DESTDIR)$(datadir) || true
	[ -e $(BUILD_DIR)/en/epub/$(PACKAGE).epub ] &&			\
		cp $(BUILD_DIR)/en/epub/$(PACKAGE).epub $(DESTDIR)$(datadir) || true
	[ -d $(BUILD_DIR)/en/html ] &&					\
		cp -dfR $(BUILD_DIR)/en/html/* $(DESTDIR)$(datadir) || true
	# Install onto DESTDIR='$(DESTDIR)' for non-en: text pdf nopdf epub html
	@set -ex; for l in $(filter-out en,$(LANGS)); do		\
	mkdir -p $(DESTDIR)$(datadir)/$$l ;				\
	[ -e $(BUILD_DIR)/$$l/text/$(PACKAGE).txt ] &&			\
		cp $(BUILD_DIR)/$$l/text/$(PACKAGE).txt $(DESTDIR)$(datadir)/$$l && \
		gzip -f -9 $(DESTDIR)$(datadir)/$$l/$(PACKAGE).txt || true ; \
	[ -e $(BUILD_DIR)/$$l/pdf/$(PACKAGE).pdf ] &&			\
		cp $(BUILD_DIR)/$$l/pdf/$(PACKAGE).pdf $(DESTDIR)$(datadir)/$$l || true ;	\
	[ -e $(BUILD_DIR)/$$l/nopdf/$(PACKAGE).pdf ] &&			\
		cp $(BUILD_DIR)/$$l/nopdf/$(PACKAGE).pdf $(DESTDIR)$(datadir)/$$l || true ;	\
	[ -e $(BUILD_DIR)/$$l/epub/$(PACKAGE).epub ] &&			\
		cp $(BUILD_DIR)/$$l/epub/$(PACKAGE).epub $(DESTDIR)$(datadir)/$$l || true ;	\
	[ -d $(BUILD_DIR)/$$l/html ] &&					\
		cp -dfR $(BUILD_DIR)/$$l/html/* $(DESTDIR)$(datadir)/$$l || true ; \
	done
	# For info
	mkdir -p $(DESTDIR)$(infodir)
	@set -ex; for f in $(INFO_FILES); do				\
	[ -e $$f ] && cp -f $$f $(DESTDIR)$(infodir) || true ;		\
	done
	# singlehtml files
	# don't install Sphinx singlehtml output until various bugs
	# are fixed upstream (e.g. #873456, #876075, #879048)
	#cp $(BUILD_DIR)/en/singlehtml/$(PACKAGE).html $(DESTDIR)$(datadir)
	#@set -ex; for l in $(filter-out en,$(LANGS)); do		\
	#cp $(BUILD_DIR)/$$l/singlehtml/$(PACKAGE).html $(DESTDIR)$(datadir)/$$l ;	\
	#done

.PHONY: all
.PHONY: FORCE_MAKE
.PHONY: text pdf nopdf epub info html htmls
.PHONY: clean distclean update-po
.PHONY: install

#
# GNU make configuration.
#

# If a rule bombs out, delete the target.
#.DELETE_ON_ERROR:

# No default suffixes work here, don't waste time on them.
.SUFFIXES:

=== debian/changelog ===
developers-reference (11.0.10) unstable; urgency=medium

  [ Carsten Schoenert ]
  * (de) index.po: Update translation.
  * (de) best-pkging-practices.po: Update translation.
  * (de) beyond-pkging.po: Update translation.
  * (de) developer-duties.po: Update translation.
  * (de) l10n.po: Update translation.
  * (de) new-maintainer.po: Update translation.
  * (de) pkgs.po: Update translation.
  * (de) scope.po: Update translation.
  * (de) tools.po: Update translation.
  * (de) resources.po: Update translation.

  [ Kentaro Hayashi ]
  * (ja) best-pkging-practices.po: resolve fuzzy.
  * (ja) developer-duties.po: resolve fuzzy.
  * (ja) l10n.po: fix fuzzy against missing l10n tag.
  * (ja) new-maintainer.po: resolve fuzzy
  * (ja) pkgs.po: resolve fuzzy.
  * (ja) resources.po: fix wrong translation about "testing", resolve fuzzy.

  [ Holger Levsen ]
  * d/control: set Homepage: to https://www.debian.org/doc/devel-manuals#devref

 -- Holger Levsen <holger@debian.org>  Thu, 26 Mar 2020 00:47:53 +0100

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
 Build-Depends: debhelper-compat (= 12)
 Vcs-Git: https://salsa.debian.org/debian/developers-reference.git
 Vcs-Browser: https://salsa.debian.org/debian/developers-reference
+Homepage: https://www.debian.org/doc/devel-manuals#devref
 
 Package: developers-reference
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# rules file for developers-reference

include /usr/share/dpkg/default.mk

LANGS		:= en $(shell dh_listpackages| sed -n -e 's/developers-reference-//p')

%:
	dh $@

override_dh_auto_build:
	$(MAKE) LANGS="$(LANGS)"

override_dh_compress:
	dh_compress -X.pdf -X.epub

override_dh_installdeb:
	debian/tocsubstvars
	dh_installdeb

## developers-reference 11.0.15

=== debian/changelog ===
developers-reference (11.0.15) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Use dh_sphinxdoc instead of dh_linktree, to simplify the packaging.

 -- Holger Levsen <holger@debian.org>  Sun, 05 Jul 2020 12:24:55 +0200

developers-reference (11.0.14) unstable; urgency=medium

  * debian: avoid code copies by using dh-linktree. Thanks to a snippet from
    src:debian-policy recommends (instead of depends) on sphinx packages are
    created.
  * d/copyright: switch to machine readable DEP5 format.

 -- Holger Levsen <holger@debian.org>  Sun, 05 Jul 2020 00:55:46 +0200

developers-reference (11.0.13) unstable; urgency=medium

  * pkgs: clarify intended audience of d/changelog. Closes: #878967.
  * Update all .po files for changed strings in the English original.
  * d/rules and control: use symlinks instead of embedding libjs-jquery and
    libjs-underscore and thus add recommends to those packages. Thanks, lintian.

 -- Holger Levsen <holger@debian.org>  Sat, 27 Jun 2020 17:52:17 +0200

developers-reference (11.0.12) unstable; urgency=medium

  [ Tobias Wiese ]
  * beyond-pkging: fix dead link to policy. Closes: #962011.

  [ Holger Levsen ]
  * d/copyright and index.rst: update copyright notices. Closes: #960926.
  * Update all .po files for changed strings in the English original.
  * Bump to debhelper-compat 13.

 -- Holger Levsen <holger@debian.org>  Tue, 09 Jun 2020 02:10:56 +0200

developers-reference (11.0.11) unstable; urgency=medium

  [ Paul Wise ]
  * l10n.rst: replace ddtp2.debian.net with ddtp.debian.org.

  [ Jochen Sprickerhof ]
  * Fix build with Sphinx 2.4. Closes: #955094.
  * ressources.rst: fix Freenode FAQ links.

  [ Judit Foglszinger ]
  * pkgs.rst: add footnote clarifying removability of packages from the upload
    queue. Closes: #956818.

  [ Kentaro Hayashi ]
  * (ja) tools.po: resolve fuzzy in debiandoc-sgml.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sun, 26 Apr 2020 18:44:02 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 LANGS		:= en $(shell dh_listpackages| sed -n -e 's/developers-reference-//p')
 
 %:
-	dh $@
+	dh $@ --with sphinxdoc
 
 override_dh_auto_build:
 	$(MAKE) LANGS="$(LANGS)"
@@ -17,3 +17,9 @@
 override_dh_installdeb:
 	debian/tocsubstvars
 	dh_installdeb
+
+override_dh_sphinxdoc:
+	dh_sphinxdoc -pdevelopers-reference usr/share/developers-reference
+	set -ex; for lang in $(filter-out en,$(LANGS)); do \
+		dh_sphinxdoc -pdevelopers-reference-$$lang usr/share/developers-reference/$$lang; \
+	done

## developers-reference 11.0.16

=== debian/changelog ===
developers-reference (11.0.16) unstable; urgency=medium

  * resources: add link to https://db.debian.org/forward.html.
  * Update all .po files for changed strings in the English original.
  * d/rules: remove cruft.

 -- Holger Levsen <holger@debian.org>  Sat, 24 Oct 2020 14:02:30 +0200

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
  texlive-lang-italian,
  texlive-lang-japanese,
  texlive-latex-extra,
- texlive-latex-recommended
-Build-Depends: debhelper-compat (= 12)
+ texlive-latex-recommended,
+Build-Depends: debhelper-compat (= 13)
 Vcs-Git: https://salsa.debian.org/debian/developers-reference.git
 Vcs-Browser: https://salsa.debian.org/debian/developers-reference
 Homepage: https://www.debian.org/doc/devel-manuals#devref
@@ -27,7 +27,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: debian-policy, sensible-utils
+Recommends: debian-policy,
+ sensible-utils,
+ ${sphinxdoc:Depends},
 Suggests: doc-base, firefox-esr | www-browser
 Description: guidelines and information for Debian developers
  This package contains the Debian Developer's Reference, a set of
@@ -48,7 +50,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: debian-policy, developers-reference
+Recommends: debian-policy,
+ developers-reference,
+ ${sphinxdoc:Depends},
 Suggests: doc-base
 Description: guidelines and information for Debian developers, in German
  This package contains the German translation of Debian Developer's
@@ -65,7 +69,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: debian-policy, developers-reference
+Recommends: debian-policy,
+ developers-reference,
+ ${sphinxdoc:Depends},
 Suggests: doc-base
 Description: guidelines and information for Debian developers, in French
  This package contains the French translation of Debian Developer's
@@ -82,7 +88,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: debian-policy, developers-reference
+Recommends: debian-policy,
+ developers-reference,
+ ${sphinxdoc:Depends},
 Suggests: doc-base
 Description: guidelines and information for Debian developers, in Japanese
  This package contains the Japanese translation of Debian Developer's
@@ -99,7 +107,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: debian-policy, developers-reference
+Recommends: debian-policy,
+ developers-reference,
+ ${sphinxdoc:Depends},
 Suggests: doc-base
 Description: guidelines and information for Debian developers, in Russian
  This package contains the Russian translation of Debian Developer's
@@ -116,7 +126,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: debian-policy, developers-reference
+Recommends: debian-policy,
+ developers-reference,
+ ${sphinxdoc:Depends},
 Suggests: doc-base
 Description: guidelines and information for Debian developers, in Italian
  This package contains the Italian translation of Debian Developer's

## developers-reference 11.0.18

=== debian/changelog ===
developers-reference (11.0.18) unstable; urgency=medium

  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sun, 17 Jan 2021 23:29:13 +0100

developers-reference (11.0.17) unstable; urgency=medium

  [ Nicolas Boulenguez ]
  * README.contributing: update-po requires sphinx-intl.
  * best-pkging-practices: Long descriptions may reuse paragraphs.

  [ Holger Levsen ]
  * Update standards version to 4.5.1, no changes needed.
  * debian/copyright and index.rst: update my copyright years.

 -- Holger Levsen <holger@debian.org>  Sun, 17 Jan 2021 22:45:57 +0100

## developers-reference 11.0.20

=== debian/changelog ===
developers-reference (11.0.20) unstable; urgency=medium

  [ Judit Foglszinger ]
  * removing freenode and moving reference to cloaks to Debian wiki.
    Closes: 990054.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.
  * fix typo in previous d/changelog entry

 -- Holger Levsen <holger@debian.org>  Fri, 18 Jun 2021 23:50:52 +0200

developers-reference (11.0.19) unstable; urgency=medium

  [ Tobias Wiese ]
  * Add lost spaces to parts that include literals. Closes: #987930.
    Thanks to Simon Josefsson for the bug report.

  [ Jean-Pierre Giraud ]
  * (fr) update locales/fr/LC_MESSAGES.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Wed, 05 May 2021 19:56:16 +0200

## developers-reference 11.0.21

=== debian/changelog ===
developers-reference (11.0.21) unstable; urgency=medium

  * best-pkging-practices: replace 'atter' with 'other', with thanks to
    Jeremy Bicha. Closes: #991291
  * pkgs: update releases used in examples for the time when bullseye is
    stable.
  * resources: update 'dak ls evince' example output.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Tue, 20 Jul 2021 15:20:35 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
 Uploaders: Hideki Yamane <henrich@debian.org>,
  Holger Levsen <holger@debian.org>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Build-Depends-Indep: latexmk,
  python3-sphinx,

## developers-reference 12.0

=== debian/changelog ===
developers-reference (12.0) unstable; urgency=medium

  [ Thomas Goirand ]
  * pkgs: document contributing to backports with the help from backports
    FTP masters. Closes: #793633

  [ Marco Villegas ]
  * best-pkging-practices: add a security related section. Closes: #337086
  * Fix some typos.

  [ Geoffroy Youri Berret ]
  * Fix typos in README.contributing.

  [ Daniel Shahaf ]
  * Fix typo in d/control.

  [ Philip Hands ]
  * Fix typo.

  [ Holger Levsen ]
  * Embrace bookworm. Simplify versioning.
  * Update all .po files for changed strings in the English original.
  * Update standards version to 4.6.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Thu, 02 Sep 2021 01:44:56 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
 Uploaders: Hideki Yamane <henrich@debian.org>,
  Holger Levsen <holger@debian.org>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends-Indep: latexmk,
  python3-sphinx,
@@ -42,7 +42,7 @@
  ${TOC:en}
  .
  This package contains the English version of the Developer's
- Reference.  The French, German, Italy, Russian and Japanese translations are
+ Reference.  The French, German, Italian, Russian and Japanese translations are
  available in developers-reference-fr, developers-reference-de,
  developers-reference-it, developers-reference-ru and developers-reference-ja.

## developers-reference 12.3

=== debian/changelog ===
developers-reference (12.3) unstable; urgency=medium

  [ Stephan Lachnit ]
  * beyond-pkging: add section for granting upload permissions to DMs.

  [ Christoph Berg ]
  * resources.rst: add pointer to https://github.com/Debian

  [ Geoffroy Youri Berret ]
  * Use distro-info instead of hardcoding version numbers. Closes: #930565

  [ Philippe SWARTVAGHER ]
  * fr/tools.po: fix formatting issues. Closes: #1005357

  [ Holger Levsen ]
  * beyond-pkging: improve section for granting upload permissions to DMs.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Apr 2022 15:01:11 +0200

developers-reference (12.2) unstable; urgency=medium

  [ xiao sheng wen ]
  * pkgs.rst: add one space between an URL and word.

  [ Holger Levsen ]
  * pkgs.rst and best-pkging-practices.rst: drop last two remaining examples
    mentioning dpatch and cdbs.
  * index.rst and d/copyright: update my copyright years.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Fri, 07 Jan 2022 13:30:40 +0100

developers-reference (12.1) unstable; urgency=medium

  [ Kentaro Hayashi ]
  * best-pkging-practices and pkgs: Fix broken nested inline markup.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.
  * d/control: add tex-gyre to Build-Depends-Indep to address ftbfs in sid.

 -- Holger Levsen <holger@debian.org>  Thu, 14 Oct 2021 15:11:49 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,10 @@
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends-Indep: latexmk,
+ python3-distro-info,
  python3-sphinx,
  python3-stemmer,
+ tex-gyre,
  texinfo,
  texlive-fonts-recommended,
  texlive-lang-cyrillic,

## developers-reference 12.4

=== debian/changelog ===
developers-reference (12.4) unstable; urgency=medium

  [ Enrico Zini ]
  * pkgs: remove requirement that security uploads have urgency=high.
    Closes: #1010559

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Wed, 04 May 2022 13:55:02 +0200

## developers-reference 12.6

=== debian/changelog ===
developers-reference (12.6) unstable; urgency=medium

  * developer-duties: replace alioth with salsa. Closes: #1016752
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sat, 06 Aug 2022 17:32:03 +0200

developers-reference (12.5) unstable; urgency=medium

  [ Antoine Beaupré ]
  * best-pkging-practices:
    - debian-policy 4.1.4 deprecated get-orig-source, mention that and
      alternatives.
    - move urgency delays into the urgency section, keep backref, expand.

  [ Holger Levsen ]
  * README.contributing: explain how to update translations after updates of
    English sources.
  * Update all .po files for changed strings in the English original.
  * d/control: bump standards version to 4.6.1.

 -- Holger Levsen <holger@debian.org>  Fri, 03 Jun 2022 18:06:52 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
 Uploaders: Hideki Yamane <henrich@debian.org>,
  Holger Levsen <holger@debian.org>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends-Indep: latexmk,
  python3-distro-info,

## developers-reference 12.7

=== debian/changelog ===
developers-reference (12.7) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * pkgs.rst: document how to use dcut to cancel a DELAYED upload.

  [ Akbarkhon Variskhanov ]
  * pkgs.rst: improve `Closes: #XXXXXX` regex pattern.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Tue, 25 Oct 2022 14:55:20 +0200

## developers-reference 12.8

=== debian/changelog ===
developers-reference (12.8) unstable; urgency=medium

  [ Simon McVittie ]
  * pkgs: recommend source-only uploads when possible, and describe when they
    are not. Closes: #1015784

  [ Akbarkhon Variskhanov ]
  * resources: fix minor typo.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Mon, 14 Nov 2022 13:46:52 +0100

## developers-reference 12.9

=== debian/changelog ===
developers-reference (12.9) unstable; urgency=medium

  * pkgs: fixup dcut syntax from last upload, thanks josch.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Mon, 21 Nov 2022 23:07:18 +0100

## developers-reference 12.10

=== debian/changelog ===
developers-reference (12.10) unstable; urgency=medium

  [ Grzegorz Szymaszek ]
  * best-pkging-practices: rename GTK+ to GTK as per
    https://mail.gnome.org/archives/gtk-devel-list/2019-February/msg00000.html

  [ Holger Levsen ]
  * c/control: bump standards version to 4.6.2, no changes needed.
  * d/copyright and index.rst: bump my copyright years.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Thu, 05 Jan 2023 17:43:06 +0100

## developers-reference 12.11

=== debian/changelog ===
developers-reference (12.11) unstable; urgency=medium

  [ Grzegorz Szymaszek ]
  * Update .po files after GTK rename in 12.10.
  * resources: fix "The testing distribution" link label.
  * Update .po files after the "The testing distribution" link label fix.

 -- Holger Levsen <holger@debian.org>  Wed, 11 Jan 2023 09:51:31 +0100

## developers-reference 12.15

=== Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 LANGS_NOPDF = it ru
 
 # All output formats
-FORMATS     ?= text pdf nopdf epub info html # singlehtml
+FORMATS     ?= text pdf nopdf epub info html singlehtml
 
 # Conversion programs to use.  Export these so that they're visible to
 # submakes.
@@ -172,15 +172,10 @@
 # A list of multi-file HTML index.html files for all $(LANGS)
 HTMLS_FILES  := $(foreach l,$(LANGS),					\
 		$(BUILD_DIR)/$(l)/singlehtml/$(PACKAGE).html)
-
-htmls: $(HTMLS_FILES)
-
-# Single HTML doesn't build its own geninde.html nor search.html
+singlehtml: $(HTMLS_FILES)
+
+# Single HTML doesn't build its own genindex.html nor search.html
 # I keep this code inspired by Debian Policy as a place holder
-# This is not used due to bugs apear for Single HTML:
-#  * https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=873456
-#  * https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=876075
-#  * https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=879048
 $(BUILD_DIR)/%/singlehtml/$(PACKAGE).html: $(SOURCE_FILES)
 	$(SPHINX) -b singlehtml -D language=$* -d $(BUILD_DIR)/$* $(SOURCE_DIR) $(@D)
 	mv $(@D)/index.html $(@D)/$(PACKAGE).html
@@ -256,12 +251,13 @@
 	[ -e $$f ] && cp -f $$f $(DESTDIR)$(infodir) || true ;		\
 	done
 	# singlehtml files
-	# don't install Sphinx singlehtml output until various bugs
-	# are fixed upstream (e.g. #873456, #876075, #879048)
-	#cp $(BUILD_DIR)/en/singlehtml/$(PACKAGE).html $(DESTDIR)$(datadir)
-	#@set -ex; for l in $(filter-out en,$(LANGS)); do		\
-	#cp $(BUILD_DIR)/$$l/singlehtml/$(PACKAGE).html $(DESTDIR)$(datadir)/$$l ;	\
-	#done
+	cp $(BUILD_DIR)/en/singlehtml/$(PACKAGE).html $(DESTDIR)$(datadir)
+	@set -ex; for l in $(filter-out en,$(LANGS)); do		\
+	cp $(BUILD_DIR)/$$l/singlehtml/$(PACKAGE).html $(DESTDIR)$(datadir)/$$l ;	\
+	done
+	# fixup genindex
+	find $(DESTDIR)$(datadir) -name genindex.html -delete
+	find $(DESTDIR)$(datadir) -name '*.html' -exec sed -i 's#genindex.html#index.html#' "{}" \;
 
 .PHONY: all
 .PHONY: FORCE_MAKE

=== debian/changelog ===
developers-reference (12.15) unstable; urgency=medium

  * Upload to unstable.

 -- Holger Levsen <holger@debian.org>  Thu, 09 Feb 2023 18:11:33 +0100

developers-reference (12.14) experimental; urgency=medium

  * Build single page HTML manuals again. Closes: #658825.
  * Drop empty genindex.html pages and replaces links to it with ones to
    index.html.
  * pkgs: fix unexpected indentation warning.
  * *.rst: improve syntax highlighting for code and similar blocks.
  * Update all .po files for changed strings in the English original.
  * Drop existing d/*.lintian-overrides and reword placeholder 'Closes: #'
    entries in previous d/changelog entries.
  * d/changelog: clarify 12.13 entry.

 -- Holger Levsen <holger@debian.org>  Thu, 09 Feb 2023 17:43:54 +0100

developers-reference (12.13) experimental; urgency=medium

  * d/tests:
    - add autopkgtest to validate XML and HTML files, thanks to Aurélien
      COUDERC who added some to src:desktop-base, which were then taken
      by Wolfgang Schweer to src:debian-edu, which I then took and modified
      to exclude a template and the (sphinx generated) search.html file.
    - add small README explaining how to run autopkgtests locally.

 -- Holger Levsen <holger@debian.org>  Wed, 08 Feb 2023 14:03:00 +0100

developers-reference (12.12) unstable; urgency=medium

  * pkgs and ressources: explain the new non-free-firmware section (written
    under the assumption that bookworm is stable; currently stable does not
    have a non-free-firmware section).
  * tools: add a pointer to https://wiki.debian.org/debian/watch where watch
    files are mentioned. Thanks to #660193
  * Update all .po files for changed strings in the English original.
  * d/*.lintian-overrides: override a false positive about 'Closes: #' regex
    entries in d/changelog.
  * Fix spelling of "resources" in older d/changelog entries.

 -- Holger Levsen <holger@debian.org>  Mon, 06 Feb 2023 20:14:34 +0100

## developers-reference 12.16

=== debian/changelog ===
developers-reference (12.16) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Recommend using Git in the Vcs-* section, and link to DEP-14.

  [ Holger Levsen ]
  * Makefile: improve status target to show translation stats, thanks to
    Paul Gevers showing me how it's done for the release notes.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Mon, 20 Feb 2023 13:58:42 +0100

## developers-reference 12.18

=== debian/changelog ===
developers-reference (12.18) unstable; urgency=medium

  [ Guillem Jover ]
  * developer-duties, new-maintainer, tools, resources: update OpenPGP
    information.
  * resources: fix grammar in Alioth entry.

  [ Holger Levsen ]
  * README.contributing: encourage merge requests. Drop reference to very old
    bug from docbook times.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Mon, 06 Mar 2023 19:06:57 +0100

developers-reference (12.17) unstable; urgency=medium

  [ Guillem Jover ]
  * tools: update documentation for dupload and dput.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sun, 05 Mar 2023 21:12:10 +0100

## developers-reference 13.2

=== debian/changelog ===
developers-reference (13.2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * pkgs: add Policy pointer for stable version numbers.

  [ Holger Levsen ]
  * best-pkg-practices: use "libxml2" instead of "lyx" as example of using
    .install files.
  * Update all .po files for changed strings in the English original.

  [ Kentaro Hayashi ]
  * Japanese translation: resolve all fuzzy strings.

 -- Holger Levsen <holger@debian.org>  Thu, 06 Jul 2023 19:45:17 +0200

developers-reference (13.1) unstable; urgency=medium

  * Start 13.x series, hello trixie!
  * pkgs + resources: update references to older releases.
  * Update all .po files for changed strings in the English original.
  * Unfuzzy strings in German translation.

 -- Holger Levsen <holger@debian.org>  Sat, 17 Jun 2023 22:08:46 +0200

developers-reference (12.19) unstable; urgency=medium

  [ Holger Levsen ]
  * pkgs: explicitly state that $suite should be used in d/changelog for
    uploads to stable-updates.

  [ Carsten Schoenert ]
  * Updating German translation of non translated strings, proof reading and
    small fixups of typos etc, bringing the German translation back to 100%
    complete.

 -- Holger Levsen <holger@debian.org>  Thu, 01 Jun 2023 15:07:29 +0200

## developers-reference 13.3

=== debian/changelog ===
developers-reference (13.3) unstable; urgency=medium

  * l10n: overhaul of i18n / l10n chapter. Thanks to Holger Wansing.
    Closes: #1042779
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sat, 05 Aug 2023 16:15:53 +0200

## developers-reference 13.4

=== Makefile ===
--- 
+++ 
@@ -203,10 +203,10 @@
 
 # Show translation status
 status:
-	@set -ex; for l in $(filter-out en,$(LANGS)); do		\
+	for l in $(filter-out en,$(LANGS)); do		\
 		if [ -d $(SOURCE_DIR)/locales/$$l/LC_MESSAGES ] ; then	\
-		    find $(SOURCE_DIR)/locales/$$l/LC_MESSAGES -name 	\
-			'*.po' -exec msgfmt -vv {} -o /dev/null \; ;	\
+			echo -n "Stats for $$l: " ;			\
+			msgcat --use-first $(SOURCE_DIR)/locales/$$l/LC_MESSAGES/*.po | msgfmt --statistics - 2>&1 ; \
 		fi ;							\
 	done

=== debian/changelog ===
developers-reference (13.4) unstable; urgency=medium

  [ Kentaro Hayashi ]
  * (ja) beyond-pkging.po: update 7.5.1 translation.
  * (ja) beyond-pkging.po: update 7.5.2 translation.

  [ Dr. Tobias Quathamer ]
  * (de) pkgs.po: Update translation

 -- Holger Levsen <holger@debian.org>  Sat, 23 Dec 2023 14:43:52 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
 Uploaders: Hideki Yamane <henrich@debian.org>,
  Holger Levsen <holger@debian.org>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends-Indep: latexmk,
  python3-distro-info,

## developers-reference 13.6

=== debian/changelog ===
developers-reference (13.6) unstable; urgency=medium

  [ James Addison ]
  * source/_static/switchers.js: repair the language-selection functionality
    by migrating from jQuery to built-in browser DOM functions.
    (Closes: debian/developers-reference#48)

 -- Holger Levsen <holger@debian.org>  Mon, 22 Apr 2024 13:10:06 +0200

developers-reference (13.5) unstable; urgency=medium

  [ Bastian Germann ]
  * best-pkging-practices: do not hint to use several Vcs fields for one pkg.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.
  * Bump standards version to 4.7.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Sun, 07 Apr 2024 13:19:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
 Uploaders: Hideki Yamane <henrich@debian.org>,
  Holger Levsen <holger@debian.org>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends-Indep: latexmk,
  python3-distro-info,

## developers-reference 13.7

=== debian/changelog ===
developers-reference (13.7) unstable; urgency=medium

  [ Holger Wansing ]
  * Switch to the 'official' Debian-style html theme. (see MR!49)
  * Add language switcher in sidebar.
  * Add additional build-depends needed for our new theme.

 -- Holger Levsen <holger@debian.org>  Sun, 16 Jun 2024 18:48:20 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  python3-distro-info,
  python3-sphinx,
  python3-stemmer,
+ python3-sphinx-rtd-theme,
  tex-gyre,
  texinfo,
  texlive-fonts-recommended,

## developers-reference 13.9

=== debian/changelog ===
developers-reference (13.9) unstable; urgency=medium

  [ Lee Garrett ]
  * pkgs.rst: add info to not close p-u bugs via debian/changelog.
  * README.contributing: slight clarification.
  * Rename README.contributing to README.md.
  * Convert README to markdown.

  [ Holger Levsen ]
  * pkgs.rst: improve wording.
  * d/tests/xmllint-functions: ignore all _templates/ Closes: #1076489.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sun, 18 Aug 2024 16:16:39 +0900

developers-reference (13.8) unstable; urgency=medium

  [ Dorle Osterode ]
  * Update German translations of
    - best-pkging-practices.po.
    - pkgs.po.
    - de) l10n.po.

  [ Holger Levsen ]
  * source/_templates/layout.html: replace "&mdash;" with "–" because mdash
    is not defined in the DTD we are using. Closes: #1076489

 -- Holger Levsen <holger@debian.org>  Mon, 05 Aug 2024 16:14:38 +0900

## developers-reference 13.10

=== debian/changelog ===
developers-reference (13.10) unstable; urgency=medium

  [ Dorle Osterode ]
  * (de) pkgs.po: Update translation.

 -- Holger Levsen <holger@debian.org>  Sat, 24 Aug 2024 10:48:02 +0200
